CocoonJS - Package singing is invalid apk (Android)

Discussion and feedback on Construct 2

Post » Thu Mar 20, 2014 3:49 pm

Hi,

I have tried for a long time to fix the issue from the Google Play Store after downloading my released android game. It works fine on the latest android version, but every other user gets this message after the had finished the download.

"The package file singing isn't vailid" (translated from german, don't know if this is the original error message in the english store)
"Fehler. Die Paketdatei wurde nicht richtig signiert (original german error message)

I've singed my app arccording to the guide from ludei.

http://support.ludei.com/hc/en-us/artic ... ndroid-APK

I tried JDK 7 and JDK 8 so far. Have anybody the same issue? I don't know what to do now :(
Image Image iTunes: Match3 | Google Play: Match3
B
94
S
33
G
30
Posts: 1,099
Reputation: 27,645

Post » Thu Mar 20, 2014 9:43 pm

I've never run into the issue.

I just doubled checked my computer and I am signing with jdk1.7.0_51
B
100
S
32
G
11
Posts: 1,552
Reputation: 21,612

Post » Thu Mar 20, 2014 10:51 pm

I always signed with jdk1.6.0_38 and never had an issue.
B
70
S
24
G
19
Posts: 1,757
Reputation: 17,614

Post » Thu Mar 20, 2014 10:59 pm

I always signed with jdk1.6.0_38 and never had an issue.
That what I use also, I have gotten errors with newer versions of jdk
Please Support Ocean Explorer.
http://igg.me/p/735007/x/6915815
B
14
S
4
G
3
Posts: 125
Reputation: 2,645

Post » Fri Mar 21, 2014 5:33 am

Yes i found the problem and it was JDK 7 and 8. It works with JDK 6.0 ;) thanks :)
Image Image iTunes: Match3 | Google Play: Match3
B
94
S
33
G
30
Posts: 1,099
Reputation: 27,645


Return to Construct 2 General

Who is online

Users browsing this forum: justifun, Yahoo [Bot] and 11 guests